Name:		nepomuk-core
Summary:	Nepomuk core utilities and libraries
Version:	4.14.3
Release:	%mkrel 2
Group:		Graphical desktop/KDE4
License:	GPLv2 GPLv3 LGPLv2 LGPLv3
URL:		http://www.kde.org
Source:		ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kde4-macros
BuildRequires:	kdelibs-devel >= %{version}
BuildRequires:	doxygen
BuildRequires:	soprano-devel >= 2.7.57
BuildRequires:	strigi-devel >= 0.7.3
BuildRequires:	shared-desktop-ontologies-devel >= 0.9
BuildRequires:	%{_lib}ffmpeg-devel
Requires:	shared-desktop-ontologies >= 0.9
Requires:	soprano >= 2.7.57
Requires:	strigi >= 0.7.3
Conflicts:	kde-runtime-nepomuk < 4.8.3

%description
Nepomuk core utilities and libraries.

%files
%doc COPYING*
%{_datadir}/dbus-1/interfaces/*.xml
%{_kde_applicationsdir}/*.desktop
%{_kde_appsdir}/fileindexerservice
%{_kde_appsdir}/nepomukfilewatch
%{_kde_appsdir}/nepomukstorage
%{_kde_bindir}/nepomuk*
%{_kde_datadir}/autostart/*.desktop
%{_kde_datadir}/ontology/kde/*
%{_kde_libdir}/libkdeinit4_nepomukserver.so
%{_kde_libdir}/libnepomukcommon.so
%{_kde_libdir}/libnepomukextractor.so
%{_kde_libdir}/kde4/nepomuk*extractor.so
%{_kde_services}/*.desktop
%{_kde_servicetypes}/*.desktop
%{_datadir}/polkit-1/actions/org.kde.nepomuk.filewatch.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.nepomuk.filewatch.conf
%{_datadir}/dbus-1/system-services/org.kde.nepomuk.filewatch.service
%{_kde_libdir}/kde4/libexec/kde_nepomuk_filewatch_raiselimit
#----------------------------------------------------------------------------------

%define nepomukcore_major 4
%define libnepomukcore %mklibname nepomukcore %{nepomukcore_major}

%package -n %{libnepomukcore}
Summary:	Nepomuk core library
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libnepomukcore}
Nepomuk core library.

%files -n %{libnepomukcore}
%{_kde_libdir}/libnepomukcore.so.%{nepomukcore_major}*

#----------------------------------------------------------------------------------
%define nepomukcleaner_major 4
%define libnepomukcleaner %mklibname nepomukcleaner %nepomukcleaner_major

%package -n %libnepomukcleaner
Summary: Nepomuk core library
Group: System/Libraries

%description -n %libnepomukcleaner
The NepomukCore library is the main library for dealing with Nepomuk components.
This includes the following parts : 
- The main resource handling centered around Nepomuk::Resource
- The handling of ontologies via classes in the Nepomuk::Types namespace
- The desktop Nepomuk::Query API
- Several utility methods and classes

%files -n %libnepomukcleaner
%{_kde_libdir}/libnepomukcleaner.so.%{nepomukcleaner_major}*

#----------------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libnepomukcore} = %{version}-%{release}

%description devel
This package includes the header files needed to develop applications
that use Nepomuk.

%files devel
%{_kde_includedir}/Nepomuk2
%{_kde_includedir}/nepomuk2
%{_kde_libdir}/cmake/NepomukCore
%{_kde_libdir}/libnepomukcore.so
%{_kde_libdir}/libnepomukcleaner.so

#----------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Tue Jul 21 2015 pp <pp> 4.14.3-2pclos2015
- rebuild on 4.14.10

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Thu Oct 08 2014 bb <bb> 4.13.3-2pclos2014
- rebuild against updated poppler library

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 20 2013 billybot <billybot> 4.11.3-2pclos2013
- rebuild with ffmpeg 2.1 devel instead of libav-devel

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Mon Mar 11 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1
- commented out nepomuksync, is no longer built 

* Tue Jan 15 2013 pinoc <vogtpet at gmail dot com> 4.9.5-1pclos2013
- 4.9.5

* Mon Oct 22 2012 Neal <nealbrks0 at gmail dot com> 4.9.2-2pclos2012
- rebuild

* Sat Oct 06 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.2-1_archie_2012
- update

* Sun Sep 09 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.1-1_archie_2012
- update

* Fri Aug 03 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.0-1_archie_2012
- Create package
